#include"testlib.h"
#include <bits/stdc++.h>
using namespace std;

typedef long long ll;

int MINT = 1;
int MAXT = 50;
int MINN = 2;
int MAXN = 300;

int main(int argc, char** argv) {
	registerValidation(argc, argv);
	
	inf.readInt(MINT, MAXT, "t");
    inf.readSpace();
    inf.readInt(MINN, MAXN, "n");
    inf.readSpace();
    inf.readLong(0ll, 1'000'000'000'000'000'000ll, "seed0");
    inf.readEoln();
	inf.readEof();

	return 0;
}